## python-papermill 2.6.0

=== requirements.txt ===
click
pyyaml
nbformat >= 5.2.0
nbclient >= 0.2.0
tqdm >= 4.32.2
requests
entrypoints
tenacity >= 5.0.2
aiohttp >=3.9.0; python_version=="3.12"
ansicolors

=== binder/requirements.txt ===
nteract-scrapbook
pandas
matplotlib
ipywidgets
ipykernel
ansicolors

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = papermill
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-papermill (2.6.0-4) unstable; urgency=medium

  * Team upload.

  [Aryan Karamtoth]
  * Disable a failing Azure test (Closes: #1114320).

  [ Andrey Rakhmatullin ]
  * Drop the Priority field.
  * Bump Standards-Version to 4.7.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 03 Oct 2025 13:55:08 +0500

python-papermill (2.6.0-3.1) unstable; urgency=medium

  * Team Upload
  * d/control: Remove python3-entrypoints from build dependency.
    - d/patches/remove_entrypoints.patch: Add patch to use importlib.metadata
    entry_points instead of entrypoints. Also removed it from requirements.txt.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 13 May 2025 18:02:34 -0300

python-papermill (2.6.0-3) unstable; urgency=medium

  * Team upload.
  * Add Vcs-Browser & Vcs-Git tags.

  [ Roland Mas ]
  * wrap-and-sort -ast

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 16:15:42 +0100

python-papermill (2.6.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 17 Dec 2024 10:06:33 +0100

python-papermill (2.6.0-1) unstable; urgency=low

  * Initial packaging (Closes: #1088987).
  * Disable GCSTest for now.
  * Generate manpage with help2man.

 -- Roland Mas <lolando@debian.org>  Wed, 04 Dec 2024 15:35:57 +0100

=== debian/control ===
Source: python-papermill
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-azure <!nocheck>,
 python3-azure-datalake-store <!nocheck>,
 python3-boto3 <!nocheck>,
 python3-click <!nocheck>,
 python3-colors <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-ipykernel <!nocheck>,
 python3-moto <!nocheck>,
 python3-nbclient <!nocheck>,
 python3-nbformat <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-tenacity <!nocheck>,
 python3-tqdm <!nocheck>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/nteract/papermill/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-papermill
Vcs-Git: https://salsa.debian.org/python-team/packages/python-papermill.git

Package: python3-papermill
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Parameterize, execute, and analyze notebooks
 Papermill is a tool for parameterizing, executing, and analyzing
 Jupyter Notebooks. It lets you parameterize notebooks and execute notebooks.
 .
 This opens up new opportunities for how notebooks can be used. For example:
 .
  * Perhaps you have a financial report that you wish to run with
  different values on the first or last day of a month or at the
  beginning or end of the year, using parameters makes this task
  easier.
 .
  * Do you want to run a notebook and depending on its results, choose
  a particular notebook to run next? You can now programmatically
  execute a workflow without having to copy and paste from notebook to
  notebook manually.
 .
 Papermill takes an opinionated approach to notebook parameterization
 and execution based on our experiences using notebooks at scale in
 data pipelines.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--verbose -k "not GCSTest" --deselect tests/test_adl.py::ADLTest::test_create_adapter 
PYVERS=$(shell py3versions -dv)
PYPATH=.pybuild/cpython3_$(PYVERS)/build

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(PYPATH) help2man --output=papermill.1 --version-string=$$(dpkg-parsechangelog -S Version | sed -e s/-[^-]*$$// -e s/[+].*//) --no-discard-stderr --no-info --name=papermill .pybuild/cpython3_$(PYVERS)/scripts/papermill

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/nteract/papermill/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
